TEST_INTERROGATE(1)

NAME
test_interrogate - report symbols defined in an interrogate module

SYNOPSIS
test_interrogate [ opts ] libfile.so [ libfile.so ... ]

DESCRIPTION
Loads the given shared library or libraries, if possible, and reports the symbols, types, and functions available within those libraries as reported by interrogate.

In lieu of loading a shared library, you may also read the interrogate database file directly by specifying a filename like libfile.in. This will report the symbols defined in that file only (without pulling in dependent files), and will not have any function pointers available.

OPTIONS

-p path
    Specify the search path for *.in files. This option may be repeated.

-f  Give a detailed report of each function in the database, including synthesized functions like upcasts and downcasts.

-t  Give a detailed report of every type in the database, including types like pointers and const pointers.

-q  Quickly load up each shared library, if possible, and then immediately exit. Useful for quickly determining whether a library can even load.

SEE ALSO
interrogate(1), interrogate_module(1)